#See https://aka.ms/containerfastmode to understand how Visual Studio uses this Dockerfile to build your images for faster debugging.

FROM mcr.microsoft.com/dotnet/aspnet:6.0 AS base
WORKDIR /app
EXPOSE 80
EXPOSE 443

FROM mcr.microsoft.com/dotnet/sdk:6.0 AS build

COPY . /src
RUN dotnet restore "/src/EPS.SDK/EPS.SDK.csproj"
RUN dotnet restore "/src/ExtensiblePortfolioSite/ExtensiblePortfolioSite.csproj"

RUN dotnet build "/src/EPS.SDK/EPS.SDK.csproj" -c Release -o /app/build
RUN dotnet build "/src/ExtensiblePortfolioSite/ExtensiblePortfolioSite.csproj" -c Release -o /app/build

FROM build AS publish
RUN dotnet publish "/src/ExtensiblePortfolioSite/ExtensiblePortfolioSite.csproj" -c Release -o /app/publish /p:UseAppHost=false
RUN cp -rf "/src/ExtensiblePortfolioSite/Plugins/" "/app/publish/Plugins/"


FROM base AS final
COPY --from=publish /app/publish .
ENTRYPOINT ["dotnet", "/app/ExtensiblePortfolioSite.dll"]